# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Classes | Functions | Variables

# vlWin32 Namespace Reference

The Win32 bindings namespace. More...

## Classes

class | Win32Context
| The Win32Context class implements an OpenGLContext using the Win32 API. More...
class | Win32Window
| The Win32Window class is a Win32Context that can be used as a top or child window. More...

## Functions

bool | registerClass ()
VLWIN32_EXPORT int | choosePixelFormat (const vl::OpenGLContextFormat &fmt, bool verbose=true)
VLWIN32_EXPORT int | messageLoop ()
VLWIN32_EXPORT void | peekMessage (MSG &msg)
VLWIN32_EXPORT void | dispatchUpdate ()
VLWIN32_EXPORT void | translateKeyEvent (WPARAM wParam, LPARAM lParam, unsigned short &unicode_out, vl::EKey &key_out)

## Variables

const wchar_t * | gWin32WindowClassName = "VisualizationLibraryWindowClass"

## Detailed Description

The Win32 bindings namespace.

## Function Documentation

bool vlWin32::registerClass | ( | ) |

Definition at line 44 of file Win32Window.cpp.

References gWin32WindowClassName, and NULL.

Referenced by choosePixelFormat(), vlEGL::EGLWindow::initEGLWindow(), and vlWin32::Win32Window::initWin32GLWindow().

int vlWin32::choosePixelFormat | ( | const vl::OpenGLContextFormat & | fmt,
|  | bool | verbose = `true`
| ) |  |

Definition at line 388 of file Win32Context.cpp.

References vl::Vector4< T_Scalar >::a(), vl::OpenGLContextFormat::accumRGBABits(), vl::Vector4< T_Scalar >::b(), vl::Log::debug(), vl::OpenGLContextFormat::depthBufferBits(), vl::OpenGLContextFormat::doubleBuffer(), vl::Log::error(), vl::Vector4< T_Scalar >::g(), gWin32WindowClassName, vl::initializeOpenGL(), vl::OpenGLContextFormat::multisample(), vl::OpenGLContextFormat::multisampleSamples(), NULL, vl::Vector4< T_Scalar >::r(), registerClass(), vl::OpenGLContextFormat::rgbaBits(), vl::OpenGLContextFormat::stencilBufferBits(), and vl::OpenGLContextFormat::stereo().

Referenced by vlWin32::Win32Context::initWin32GLContext().

int vlWin32::messageLoop | ( | ) |

Definition at line 364 of file Win32Window.cpp.

References vlEGL::peekMessage().

void vlWin32::peekMessage | ( | MSG & | msg ) |

Definition at line 350 of file Win32Window.cpp.

References vlEGL::dispatchUpdate(), and NULL.

void vlWin32::dispatchUpdate | ( | ) |

Definition at line 334 of file Win32Window.cpp.

References vl::OpenGLContext::continuousUpdate(), and vlWin32::Win32Context::update().

void vlWin32::translateKeyEvent | ( | WPARAM | wParam,
|  | LPARAM | lParam,
|  | unsigned short & | unicode_out,
|  | vl::EKey & | key_out
| ) |  |

Definition at line 376 of file Win32Window.cpp.

References vl::Key_0, vl::Key_1, vl::Key_2, vl::Key_3, vl::Key_4, vl::Key_5, vl::Key_6, vl::Key_7, vl::Key_8, vl::Key_9, vl::Key_A, vl::Key_Alt, vl::Key_Ampersand, vl::Key_Asterisk, vl::Key_At, vl::Key_B, vl::Key_BackSlash, vl::Key_BackSpace, vl::Key_C, vl::Key_Caret, vl::Key_Clear, vl::Key_Colon, vl::Key_Comma, vl::Key_Ctrl, vl::Key_D, vl::Key_Delete, vl::Key_Dollar, vl::Key_Down, vl::Key_E, vl::Key_End, vl::Key_Equal, vl::Key_Escape, vl::Key_Exclam, vl::Key_F, vl::Key_F1, vl::Key_F10, vl::Key_F11, vl::Key_F12, vl::Key_F2, vl::Key_F3, vl::Key_F4, vl::Key_F5, vl::Key_F6, vl::Key_F7, vl::Key_F8, vl::Key_F9, vl::Key_G, vl::Key_Greater, vl::Key_H, vl::Key_Hash, vl::Key_Home, vl::Key_I, vl::Key_Insert, vl::Key_J, vl::Key_K, vl::Key_L, vl::Key_Left, vl::Key_LeftAlt, vl::Key_LeftBracket, vl::Key_LeftCtrl, vl::Key_LeftParen, vl::Key_LeftShift, vl::Key_Less, vl::Key_M, vl::Key_Minus, vl::Key_N, vl::Key_None, vl::Key_O, vl::Key_P, vl::Key_PageDown, vl::Key_PageUp, vl::Key_Pause, vl::Key_Period, vl::Key_Plus, vl::Key_Print, vl::Key_Q, vl::Key_Question, vl::Key_Quote, vl::Key_QuoteDbl, vl::Key_QuoteLeft, vl::Key_R, vl::Key_Return, vl::Key_Right, vl::Key_RightAlt, vl::Key_RightBracket, vl::Key_RightCtrl, vl::Key_RightParen, vl::Key_RightShift, vl::Key_S, vl::Key_Semicolon, vl::Key_Shift, vl::Key_Slash, vl::Key_Space, vl::Key_T, vl::Key_Tab, vl::Key_U, vl::Key_Underscore, vl::Key_Up, vl::Key_V, vl::Key_W, vl::Key_X, vl::Key_Y, and vl::Key_Z.

## Variable Documentation

const wchar_t * vlWin32::gWin32WindowClassName = "VisualizationLibraryWindowClass"

Definition at line 42 of file Win32Window.cpp.

Referenced by choosePixelFormat(), registerClass(), and vlWin32::Win32Window::Win32Window().

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:45:02.
Permission is granted to use this page to write and publish articles regarding Visualization Library.